Bug 126509 - -lexif missing from ImageMagick-devel
-lexif missing from ImageMagick-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-06-22 13:23 EDT by Philip Balister
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 6.0.7.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 23:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Balister 2004-06-22 13:23:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
This is against ImageMagick-devel, but I could only find the
ImageMagick component.

Magick-config --libs says to link against -lexif, but this file is not
in the rpm. Made kismet build by fixing Magick-config not to ask for
this file.

Version-Release number of selected component (if applicable):
ImageMagick-devel-5.5.7.15-1.3

How reproducible:
Always

Steps to Reproduce:
1.run Magick-config --libs
2.see -lexif
3.
    

Additional info:
Comment 1 Ville Skyttä 2004-07-18 07:23:45 EDT
libexif.so is in the libexif-devel package.

But ImageMagick-devel in FC3test1 is (still) missing these:
Requires: libexif-devel
Requires: xorg-x11-devel (or XFree86-devel if you like)
Comment 2 Warren Togami 2004-07-18 21:57:57 EDT
Mike, what is the preferred Requires syntax for XFree86-devel or
xorg-x11-devel now?
Comment 3 Mike A. Harris 2004-08-02 00:36:43 EDT
Warren)  Initially, I decided it was best to keep everything using
XFree86-devel still, as we have a compat virtual provides.  That
allows packages to be buildable across distro releases.  For the
time being I think it is best to stick with that, or else a package
that requires xorg-x11-devel, will not rebuild on older OS releases
that ship XFree86.  Of course, if a package doesn't matter, then
whichever can be used.

Note however though, that this will change again in the future once
modularization occurs, so I kept the XFree86-devel so that things
only have to change once both with internal and external packages.
Once we do go modular though, all software will need finer grained
library build deps, at which point everything will break in unison,
but only once at least.   ;o)

Short version:  Use XFree86-devel for simplicity for now, and wait
for the coming firestorm in a few weeks.  ;o)
Comment 4 Ville Skyttä 2004-08-29 18:11:22 EDT
ping?
Comment 5 Tim Waugh 2004-10-11 09:58:49 EDT
Fix built as 6.0.7.1-4.

Note You need to log in before you can comment on or make changes to this bug.